#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

$default_permissions = 0777; ### PERMISSIONS THAT IS USED FOR DATA FILES  

#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

$default_permissions = 0777; ### PERMISSIONS THAT IS USED FOR TEMPORARY DATA FILES 

##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "add_include") {&add_include;}
if ($q->param('fct') eq "add_include_final") {&add_include_final;}
if ($q->param('fct') eq "edit") {&edit_incl;}
if ($q->param('fct') eq "save_incl") {&save_incl;}
if ($q->param('fct') eq "delete") {&del_incl;}
if ($q->param('fct') eq "preview") {&preview;}
if ($q->param('fct') eq "get_html") {&get_html;}


####################################################################################

sub get_html
{
$iname = $q->param('iname');

##### WRITE INCLUDE
 
$include_html = &get_kinclude($iname);
$include_html =~ s/\n/ /g;
$crit = chr(10); $include_html =~ s/$crit/ /g;
$crit = chr(13); $include_html =~ s/$crit/ /g;
$include_html =~ s/'/\\'/g;

open (KWI, "> $web_dir/$iname.js");
	print KWI "function get_" . $iname . "()\n";
	print KWI "{\n";
	print KWI "document.write ('" . $include_html . "');\n";
	print KWI "}\n";
close (KWI);
chmod($default_permissions,"$web_dir/$iname.js","$web_dir/$iname.js");

$i_path = "$web_dir/$iname.js";
$i_url = "$web_url/$iname.js";
#####

$incls = acs::get_file_contents("$data_dir/kwincludes.dat"); 
@all_inc = split (/\n/, $incls);

foreach $item (@all_inc)
	{
	($ii_name, $ii_nr) = split (/\t/, $item);
	
	if ($ii_name eq $iname)
		{
		#### GET HTML CODE

$header_html = <<END_OF_H;
<script SRC="$web_url/$iname.js"></script>
END_OF_H

$body_g = "get_" . $ii_name . "();";
$body_html = <<END_OF_B;
<script LANGUAGE="JavaScript" TYPE="text/javascript">
<!--
$body_g
// -->
</script>
END_OF_B
		
		}
	}


$hbox = acs::get_heading_box("$web_url/ic_stats2.gif", "Generate Include & Get Include JavaScript code ", qq[
Copy and paste the JavaScript code below into your web pages or PowerSeek templates.
]);



print <<END_OF_GHTML;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>



$hbox

<p class="normaltext"><strong>The include was created/updated and placed in: </strong></p>
<blockquote>
  <p class="normaltext">  $i_path <br>
    or <br>
    $i_url </p>
</blockquote>
<hr noshade size="1" color="#F2F2F2">

<p class="normaltext">Top Search Term Include Name:<strong> perl_pop </strong></p>

<p class="normaltext"><strong>Note that the includes are generated just like HTML files. </strong>This means
that the includes will be automatically updated/generated when you generate your HTML
files. </p>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(219,219,219)"
cellspacing="1">
  <tr>
    <td width="101%" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>JavaScript CODE </strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top"><span class="normaltext">Below is the JavaScript code which you can place inside
    existing web pages or templates of PowerSeek. <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>
    <strong>Place the following between the head tags of web pages or PowerSeek templates. </strong></span>      <form
    method="POST" action="--WEBBOT-SELF--">
      <span class="normaltext">
<!--webbot bot="SaveResults" startspan U-File="_private/form_results.txt"
      S-Format="TEXT/CSV" S-Label-Fields="TRUE" -->

<!--webbot bot="SaveResults" endspan -->
      </span>
      <p class="normaltext">
        <textarea
      rows="5" name="S1" cols="46">
$header_html
        </textarea>
      </p>
      <p class="normaltext"><strong>Place the following between the body tags of web pages or PowerSeek templates.
      You can place this code anywhere inside the body tags where you would like the link
      includes to be displayed. </strong></p>
      <p class="normaltext">
        <textarea rows="5" name="S2" cols="46">
$body_html
        </textarea>
      </p>
    </form>    </td>
  </tr>
</table>

<p class="normaltext"><strong>Includes are also automatically created or updated when you generate/build HTML
files. </strong></p>

<p class="normaltext"><a href="$admin_url/admin46.cgi"><strong>Go Back </strong></a></p>
</body>
</html>

END_OF_GHTML

}



sub preview
{

$iname2 = $q->param('iname');

$include_html = &get_kinclude($iname2);

print "$ret_incl";

}




sub get_kinclude
{
my ($iname) = @_;

###
$gsettings = new_gsettings acs; 
$searchmeth = $gsettings->{searchmeth};

if ($searchmeth eq "pseek")
	{
	$searche_script = "$script_url/search.cgi";
	}
	else
	{
	$searche_script = "$script_url/search2.cgi";
	}
####

$incls = acs::get_file_contents("$data_dir/kwincludes.dat"); 
@all_inc = split (/\n/, $incls);

foreach $item (@all_inc)
	{
	($ii_name, $ii_nr) = split (/\t/, $item);
	
	if ($ii_name eq $iname)
		{
		$limit = $ii_nr;
		}
	}

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; } 

$sql = "SELECT kwdate, keyword, COUNT(*) AS val FROM keywlog 
GROUP BY keyword ORDER BY val DESC LIMIT $limit";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";} 

$ret_incl = "";
$tmplname = "kwinc_" . $q->param('iname') . ".html";
$incls2 = acs::get_file_contents("$data_dir/$tmplname"); 

while ( @row = $sth->fetchrow() )
	{
	$tmpli = $incls2;	
	
		$tkeywords = $row[1];
		$tkeywords =~ s/ /+/gi;
		$searche_script2 = "$searche_script?keywords=$tkeywords";

	$tmpli =~ s/!!keyword!!/$row[1]/gi;
	$tmpli =~ s/!!keyword_link!!/$searche_script2/gi;
	$tmpli =~ s/!!nr!!/$row[2]/gi;
	
	$ret_incl = $ret_incl . $tmpli;
	}
	
$sth->finish;
$dbh->disconnect; 

return ($ret_incl);

}



sub del_incl
{


$iname = $q->param('iname');

$incls = acs::get_file_contents("$data_dir/kwincludes.dat"); 
@all_inc = split (/\n/, $incls);

foreach $item (@all_inc)
	{
	($ii_name, $ii_nr) = split (/\t/, $item);
	
	if ($ii_name ne $iname)
		{
		$towrite = $towrite . $item . "\n";
		}
	}

open (INCLF, "> $data_dir/kwincludes.dat");
	print INCLF $towrite;
close (INCLF);


$tmplname = "kwinc_" . $q->param('iname') . ".html";
unlink ("$data_dir/$tmplname"); 


$jscriptname = $q->param('iname') . ".js";
if ((-e "$web_dir/$jscriptname") > 0)
	{
	unlink ("$web_dir/$jscriptname"); 
	}

#############


$hbox = acs::get_heading_box("$web_url/ic_stats2.gif", "Top Search Term Include Deleted", qq[
<a href="$admin_url/admin46.cgi">Click Here to Continue.</a>
]);


print <<END_OF_DEL;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox
</body>
</html>

END_OF_DEL


}



sub save_incl
{

if ($q->param('nr') < 1)
	{
	acs::problem_popup("You have to supply a number to indicate the number of keywords to display."); 
	}

if ($q->param('template') eq "")
	{
	acs::problem_popup("You have to provide HTML code for the include."); 
	}

########################

$iname = $q->param('iname');

$incls = acs::get_file_contents("$data_dir/kwincludes.dat"); 
@all_inc = split (/\n/, $incls);

foreach $item (@all_inc)
	{
	($ii_name, $ii_nr) = split (/\t/, $item);
	
	if ($ii_name ne $iname)
		{
		$towrite = $towrite . $item . "\n";
		}
		else
		{
		$towrite = $towrite . $ii_name . "\t" . $q->param('nr') . "\n";
		}
	
	}

open (INCLF, "> $data_dir/kwincludes.dat");
	print INCLF $towrite;
close (INCLF);

#######

$tmplname = "kwinc_" . $q->param('iname') . ".html";
open (TMPLF, "> $data_dir/$tmplname");
	print TMPLF $q->param('template');
close (TMPLF);

#######

$hbox = acs::get_heading_box("$web_url/ic_stats2.gif", "Top Search Term Include Saved", qq[
<a href="$admin_url/admin46.cgi">Click Here to Continue.</a>]);


print <<END_OF_COMPL;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

</body>
</html>

END_OF_COMPL

}





sub edit_incl
{

$iname = $q->param('iname');

$incls = acs::get_file_contents("$data_dir/kwincludes.dat"); 
@all_inc = split (/\n/, $incls);

foreach $item (@all_inc)
	{
	($ii_name, $ii_nr) = split (/\t/, $item);
	
		if ($ii_name eq $q->param('iname'))
			{
			$nr = $ii_nr;
			}
	}

$tmplname = "kwinc_" . $q->param('iname') . ".html";
$template = acs::get_file_contents("$data_dir/$tmplname"); 


$hbox = acs::get_heading_box("$web_url/ic_stats2.gif", "Edit Top Search Term Include", qq[Edit the details of this 'Include' below.]);


print <<END_OF_EDIT;

<html>

<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>

<body>

$hbox

<form method="POST" action="$admin_url/admin46.cgi">
  <input type="hidden" name="fct" value="save_incl"><input type="hidden" name="iname"
  value="$iname"><table border="0" cellspacing="1" width="100%" cellpadding="6"
  bgcolor="#DDDDDD">
    <tr>
      <td width="781" height="30" colspan="2" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Edit Top
      Search Term Include</strong></td>
    </tr>
    <tr align="center">
      <td width="141" align="left" bgcolor="#FFFFFF" class="normaltext"><b>Include Name: </b></td>
      <td width="688" align="left" bgcolor="#FFFFFF" class="normaltext"><strong>$iname </strong></td>
    </tr>
    <tr>
      <td width="141" valign="top" bgcolor="#FFFFFF" class="normaltext"><b>Number of Keywords: </b></td>
      <td width="688" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="nr" size="15"
       value="$nr"> <br>
      This is the number of Keywords that is to be displayed. </td>
    </tr>
    <tr>
      <td width="141" valign="top" bgcolor="#FFFFFF" class="normaltext"><b>Template: </b></td>
      <td width="688" bgcolor="#FFFFFF" class="normaltext">This template indicates the style of the search keywords
      being displayed. Sample HTML code has been provided below to give you a good example of
      how the template could look like. 
        <p><strong>The following variables is available for use
      in the template: <br>
      &nbsp; <br>
      !!keyword!! </strong>= This will be replaced by actual Top Keywords or Search Terms that
      was searched for. </p>
      <p><strong>!!keyword_link!! </strong>= This will be replaced by a link to the search
      script. This enables you to provide the keywords with a link so that when the links are
      clicked, users are redirected to search for the keywords. <br>
      &nbsp;&nbsp; <br>
      <strong>!!nr!! </strong>= This will indicate the number of searches for a keyword. <br>
      &nbsp;&nbsp; <br>
      <textarea rows="8" name="template" cols="72">$template</textarea> </td>
    </tr>
    <tr>
      <td width="141" valign="top" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="688" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="   Save Top Search Term Include   " name="B1"
      > </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
</form>





</body>
</html>

END_OF_EDIT

}




#######################

sub add_include_final
{

for ($ms = 0; $ms < length($q->param('iname')); $ms++) 
	{
	$oneletter = substr($q->param('iname'), $ms, 1);
	if (($oneletter !~ /[0-9a-zA-Z]/) and ($oneletter ne "_"))
		{
		acs::problem_popup("The include name you specified contains invalid characters. Please use only numerical characters or characters present in the english alphabet.");
		}
	} 

if ((-e "$web_dir/" . $q->param('iname') . ".js") > 0)
	{
	acs::problem_popup("The include name you are trying to use will create conflicts against another include with the same name."); 
	}



if ($q->param('iname') eq "")
	{
	acs::problem_popup("You have to supply an include name for the include you are about to create."); 
	}

if ($q->param('nr') < 1)
	{
	acs::problem_popup("You have to supply a number to indicate the number of keywords to display."); 
	}

if ($q->param('template') eq "")
	{
	acs::problem_popup("You have to provide HTML code for the include."); 
	}

##### CHECK FOR DUPLICATES

$incls = acs::get_file_contents("$data_dir/kwincludes.dat"); 
@all_inc = split (/\n/, $incls);

foreach $item (@all_inc)
	{
	($ii_name, $ii_nr) = split (/\t/, $item);
	
		if ($ii_name eq $q->param('iname'))
			{
			acs::problem_popup("The include name you are trying to use is already in use."); 
			}
	}

##### ADD INCLUDE

open (INCLF, ">> $data_dir/kwincludes.dat");
	print INCLF 		$q->param('iname') . "\t" . ### INCLUDE NAME
					 		$q->param('nr') . "\n"; 	 ### NUMBER OF KEYWORDS
close (INCLF);

chmod($default_permissions,"$data_dir/kwincludes.dat","$data_dir/kwincludes.dat");

##### WRITE TEMPLATE

$tmplname = "kwinc_" . $q->param('iname') . ".html";

open (TPLI, "> $data_dir/$tmplname");
	print TPLI $q->param('template');
close (TPLI);




$hbox = acs::get_heading_box("$web_url/ic_stats2.gif", "Include Added", qq[
<a href="$admin_url/admin46.cgi">Click Here to Continue.</a> 
]);


##########################

print <<END_OF_TKI;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>

END_OF_TKI

}


sub add_include
{

$hbox = acs::get_heading_box("$web_url/ic_stats2.gif", "Add a Top Search Term Include ", qq[
Enables you to display what was most searched for in the current month on your Search Engine by including the most 'searched for' keywords in any external web page or PowerSeek template. ]);

print <<END_OF_INCL;

<html>

<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>

<body>
$hbox

<form method="POST" action="$admin_url/admin46.cgi">
  <input type="hidden" name="fct" value="add_include_final"><table border="0"
  cellspacing="1" width="100%" cellpadding="6" bgcolor="#DBDBDB">
    <tr>
      <td width="781" height="30" colspan="2" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Add a Top Search Term Include </strong></td>
    </tr>
    <tr align="center">
      <td width="141" align="left" bgcolor="#FFFFFF" class="normaltext"><b>Include Name: </b></td>
      <td width="688" align="left" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="iname" size="41"> <br>
      Only Alphabetical and Numerical Characters Allowed </td>
    </tr>
    <tr>
      <td width="141" valign="top" bgcolor="#FFFFFF" class="normaltext"><b>Number of Keywords: </b></td>
      <td width="688" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="nr" size="15"> <br>
      This is the number of Keywords that is to be displayed. </td>
    </tr>
    <tr>
      <td width="141" valign="top" bgcolor="#FFFFFF" class="normaltext"><b>Template: </b></td>
      <td width="688" bgcolor="#FFFFFF" class="normaltext">This template indicates the style of the search keywords
      being displayed. Sample HTML code has been provided below to give you a good example of
      how the template could look like. 
        <p><strong>The following variables is available for use
      in the template: <br>
      &nbsp; <br>
      !!keyword!! </strong>= This will be replaced by actual Top Search Term that was searched
      for. </p>
      <p><strong>!!keyword_link!! </strong>= This will be replaced by a link to the search
      script. This enables you to provide the keywords with a link so that when the links are
      clicked, users are redirected to search for the keywords. <br>
      &nbsp; <br>
      <strong>!!nr!! </strong>= This will indicate the number of searches for a keyword. <br>
      &nbsp; <br>
      <textarea rows="12" name="template" cols="72">&lt;a href=&quot;!!keyword_link!!&quot;&gt;!!keyword!!&lt;/a&gt;&lt;br&gt;&lt;br&gt;
</textarea> </td>
    </tr>
    <tr>
      <td width="141" valign="top" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="688" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="   Add Search Term Include   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
</form>



</body>
</html>

END_OF_INCL


}





sub start
{

$incls = acs::get_file_contents("$data_dir/kwincludes.dat");
@all_inc = split (/\n/, $incls);

foreach $item (@all_inc)
	{
	($ii_name, $ii_nr) = split (/\t/, $item);
	
$idisplay = $idisplay . <<END_OF_IDS;
 <tr>
    <td width="20%" bgcolor="#FFFFFF" class="normaltext"><b>$ii_name </b></td>
    <td width="5%" bgcolor="#FFFFFF" class="normaltext" align="center">$ii_nr </td>
    <td width="8%" bgcolor="#FFFFFF" class="normaltext" align="center"><a
    href="$admin_url/admin46.cgi?fct=edit&amp;iname=$ii_name">Edit </a></td>
    <td width="7%" bgcolor="#FFFFFF" class="normaltext" align="center"><a
    href="$admin_url/admin46.cgi?fct=delete&amp;iname=$ii_name">Delete </a></td>
    <td width="15%" bgcolor="#FFFFFF" class="normaltext" align="center"><a
    href="$admin_url/admin46.cgi?fct=get_html&amp;iname=$ii_name">Generate / Get JavaScript </a></td>
    <td width="5%" bgcolor="#FFFFFF" class="normaltext" align="center"><a
    href="$admin_url/admin46.cgi?fct=preview&amp;iname=$ii_name" target="_blank">Preview </a></td>
  </tr>
END_OF_IDS

	}

if ($idisplay eq "")
{
$idisplay = <<END_OF_ID;
<tr>
 <td colspan="6" bgcolor="#FFFFFF" width="20%"><font face="Verdana" size="1">No Search Term Includes Created Yet.</font></td>
</tr>
END_OF_ID
}



$hbox = acs::get_heading_box("$web_url/ic_stats2.gif", "Top Search Term Includes", qq[

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td width="89%" valign="top" class="normaltext">Enables you to display what was most searched for in the
    current month on your Search Engine by including the most 'searched for' keywords in any
    external web page or PowerSeek template. </td>
    <td width="6%" align="right" valign="top" class="normaltext"><a href="$admin_url/help.cgi?fct=search_inc"
    target="_blank"><strong><img src="$web_url/bhelps.gif" border="0"> </strong></a></td>
  </tr>
</table>

]);
 



$helpb = acs::quick_help("Help:",qq[<table border="0" cellpadding="5" cellspacing="0" width="100%">
  <tr>
    <td width="20%" class="normaltext"><strong>Include Name: </strong></td>
    <td width="80%" class="normaltext">The name of the Search Term include. </td>
  </tr>
  <tr>
    <td width="20%" class="normaltext"><strong>Number: </strong></td>
    <td width="80%" class="normaltext">Number of keywords displayed. </td>
  </tr>
  <tr>
    <td width="20%" class="normaltext"><strong>Edit: </strong></td>
    <td width="80%" class="normaltext">Click to edit. </td>
  </tr>
  <tr>
    <td width="20%" class="normaltext"><strong>Delete: </strong></td>
    <td width="80%" class="normaltext">Click to delete. </td>
  </tr>
  <tr>
    <td width="20%" class="normaltext"><strong>Generate / Get JavaScript: </strong></td>
    <td width="80%" class="normaltext">Get JavaScript code so that you can display the most searched for keywords
    in your PowerSeek templates or any external web page. Includes are also generated when you
    click the Get JavaScript link. </td>
  </tr>
  <tr>
    <td width="20%" class="normaltext"><strong>Preview: </strong></td>
    <td width="80%" class="normaltext">Preview how the keywords will look like. </td>
  </tr>
</table>
]);



print <<END_OF_KWI;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>


$hbox




<form method="POST" action="$admin_url/admin46.cgi">
  <input type="hidden" name="fct" value="add_include"><table border="0" cellspacing="1"
  width="100%" cellpadding="6" bgcolor="#DDDDDD">
    <tr>
      <td width="781" colspan="6" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Top Search Term Includes: </strong></td>
    </tr>
    <tr>
      <td width="20%" bgcolor="#F8F8F8" class="normaltext"><strong>Include Name </strong></td>
      <td width="5%" align="center" bgcolor="#F8F8F8" class="normaltext"><strong>Number </strong></td>
      <td width="8%" align="center" bgcolor="#F8F8F8" class="normaltext"><strong>Edit </strong></td>
      <td width="7%" align="center" bgcolor="#F8F8F8" class="normaltext"><strong>Delete </strong></td>
      <td width="15%" align="center" bgcolor="#F8F8F8" class="normaltext"><strong>Generate / Get JavaScript </strong></td>
      <td width="5%" align="center" bgcolor="#F8F8F8" class="normaltext"><strong>Preview </strong></td>
    </tr>
    
      $idisplay
    
    <tr>
      <td width="781" colspan="6" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="   Add Top Search Term Include   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>

$helpb

</body>
</html>

END_OF_KWI

}



sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

